Ruby - Bug #8203

Rinda: recycled object
04/02/2013 11:00 AM - naruse (Yui NARUSE)

Status: Closed
Priority: Normal
Assignee: seki (Masatoshi Seki)

Target version:

ruby -v: ruby 2.1.0dev (2013-04-02 trunk 40047) |Backport:
[1686-linux] (ubuntu1004-32)

Description

test-alll00000000000000000000000000O
http://u32.rubyci.org/~chkbuild/ruby-trunk/log/20130402T010302Z.10og.html.gz#test-all

Rinda::TupleSpaceProxyTest#test take_bug_8215 = /home/chkbuild/build/20130402T010302Z/ruby/lib/drb/drb.rb:369:in _id2ref":
0xda91ca76 is recycled object (RangeError) from /home/chkbuild/build/20130402T010302Z/ruby/lib/drb/drb.rb:369:in to_obj'
from /home/chkbuild/build/20130402T010302Z/ruby/lib/drb/drb.rb:1446:in to_obj' from
/home/chkbuild/build/20130402T010302Z/ruby/lib/drb/drb.rb:1748:in to_obj'

from /home/chkbuild/build/20130402T010302Z/ruby/lib/drb/drb.rb:1025:in _load' from
/home/chkbuild/build/20130402T010302Z/ruby/lib/drb/drb.rb:590:in load'

from /home/chkbuild/build/20130402T010302Z/ruby/lib/drb/drb.rb:590:in block in load' from
/home/chkbuild/build/20130402T010302Z/ruby/lib/drb/drb.rb:586:in synchronize'

from /home/chkbuild/build/20130402T010302Z/ruby/lib/drb/drb.rb:586:in load' from
/home/chkbuild/build/20130402T010302Z/ruby/lib/drb/drb.rb:638:in recv_reply'

from /home/chkbuild/build/20130402T010302Z/ruby/lib/drb/drb.rb:936:in recv_reply' from
/home/chkbuild/build/20130402T010302Z/ruby/lib/drb/drb.rb:1222:in send_message'

from /home/chkbuild/build/20130402T010302Z/ruby/lib/drb/drb.rb:1110:in block (2 levels) in method_missing' from
/home/chkbuild/build/20130402T0103022Z/ruby/lib/drb/drb.rb:1197:in open’

from /home/chkbuild/build/20130402T010302Z/ruby/lib/drb/drb.rb:1109:in block in method_missing' from
/home/chkbuild/build/20130402T010302Z/ruby/lib/drb/drb.rb:1132:in with_friend'

from /home/chkbuild/build/20130402T010302Z/ruby/lib/drb/drb.rb:1108:in method_missing' from
/home/chkbuild/build/20130402T010302Z/ruby/lib/rinda/rinda.rb:265:in write'

from /home/chkbuild/build/20130402T010302Z/ruby/test/rinda/test_rinda.rb:506:in block in test_take_bug_8215' from
/home/chkbuild/build/20130402T010302Z/ruby/test/rinda/test_rinda.rb:502:in fork'

from /home/chkbuild/build/20130402T010302Z/ruby/test/rinda/test_rinda.rb:502:in test_take_bug_8215' from
/home/chkbuild/build/20130402T010302Z/ruby/lib/test/unit.rb:858:in run_test'

from /home/chkbuild/build/20130402T010302Z/ruby/lib/minitest/unit.rb:1301:in run' from
/home/chkbuild/build/20130402T010302Z/ruby/lib/test/unit/testcase.rb:17:in run’

from /home/chkbuild/build/20130402T010302Z/ruby/lib/minitest/unit.rb:919:in block in _run_suite' from
/home/chkbuild/build/20130402T010302Z/ruby/lib/minitest/unit.rb:912:in map'

from /home/chkbuild/build/20130402T010302Z/ruby/lib/minitest/unit.rb:912:in _run_suite' from
/home/chkbuild/build/20130402T010302Z/ruby/lib/test/unit.rb:657:in block in _run_suites'

from /home/chkbuild/build/20130402T010302Z/ruby/lib/test/unit.rb:655:in each' from
/home/chkbuild/build/20130402T010302Z/ruby/lib/test/unit.rb:655:in _run_suites'

from /home/chkbuild/build/20130402T010302Z/ruby/lib/minitest/unit.rb:867:in _run_anything' from
/home/chkbuild/build/20130402T010302Z/ruby/lib/minitest/unit.rb:1060:in run_tests'

from /home/chkbuild/build/20130402T010302Z/ruby/lib/minitest/unit.rb:1047:in block in _run' from
/home/chkbuild/build/20130402T010302Z/ruby/lib/minitest/unit.rb:1046:in each'

from /home/chkbuild/build/20130402T010302Z/ruby/lib/minitest/unit.rb:1046:in _run' from
/home/chkbuild/build/20130402T010302Z/ruby/lib/minitest/unit.rb:1035:in run’

from /home/chkbuild/build/20130402T010302Z/ruby/lib/test/unit.rb:21:in run' from
/home/chkbuild/build/20130402T010302Z/ruby/lib/test/unit.rb:774:in run’

from /home/chkbuild/build/20130402T010302Z/ruby/lib/test/unit.rb:834:in run' from
/home/chkbuild/build/20130402T010302Z/ruby/lib/test/unit.rb:838:in run’

from ./test/runner.rb:17:in ™'

1.42s=.

History

#1 - 04/12/2013 10:55 AM - nagachika (Tomoyuki Chikanaga)

00000000DRb.here? 0000000000000000000(TupleEntry)0000000000000000)00000000000 object id 00 ObjectSpace._id2ref
000000oDoooononoDoDoDoDoDoooOnang
http://u32.rubyci.org/~chkbuild/ruby-trunk/log/20130402T010302Z.log.html.gz#test-all

DRb.here? 0000000000000 DRb.start_service 0000 fork 000000000000000000000000000000000000main thread O Thread#(] 0000000 fork
(1000000000O00Doononoon

#2 - 04/12/2013 11:21 AM - nagachika (Tomoyuki Chikanaga)

000000000000000 bRb.here? D00OO0OO0D _igzret 0O00OOD object_id 000O0000000000000000000 TupleSpacet#write

000000000000000000000000000000an
0000 pRo.current_server [ Thread.current["DRb"|["server"] DOOO000 DRoServer 000000000000000

#3 - 03/03/2021 11:34 PM - jeremyevans0 (Jeremy Evans)

- Status changed from Assigned to Closed
